Verify Connection
curl --request GET \
--url https://app.superleap.com/api/v1/appflow/verify/ \
--header 'Authorization: <authorization>'import requests
url = "https://app.superleap.com/api/v1/appflow/verify/"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://app.superleap.com/api/v1/appflow/verify/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Appflow APIs
Verify Connection
GET
/
api
/
v1
/
appflow
/
verify
/
Verify Connection
Verify the API key and connection to Superleap. This endpoint is used by the AppFlow connector to validate credentials during connection setup.
Headers
string
required
Bearer token for authentication, click here to generate one
Example Request
curl --location 'https://app.superleap.com/api/v1/appflow/verify/' \
--header 'Authorization: Bearer SUPERSECRETREDACTEDKEY'
Example Response
{
"status": "ok"
}
Response Fields
| Field | Type | Description |
|---|---|---|
status | string | Returns "ok" when the connection is valid |
⌘I